Eclipse Platform Release 3.7

## org.eclipse.jface.text.source
Class AnnotationColumn

    java.lang.Object
      org.eclipse.jface.text.source.AnnotationRulerColumn
          org.eclipse.jface.text.source.AnnotationColumn

All Implemented Interfaces:
  IVerticalRulerColumn, IVerticalRulerInfo, IVerticalRulerInfoExtension

Deprecated. use `AnnotationRulerColumn.AnnotationRulerColumn(int)` instead.

    public final class AnnotationColumn

extends AnnotationRulerColumn

Since:
  2.0

Constructor Summary
`AnnotationColumn(int width)` Deprecated. Use `AnnotationRulerColumn.AnnotationRulerColumn(int)` instead

Method Summary

Methods inherited from class org.eclipse.jface.text.source.AnnotationRulerColumn

`addAnnotationType, addVerticalRulerListener, createControl, doPaint, doPaint1, getCachedTextViewer, getControl, getHover, getInclusiveTopIndexStartOffset, getLineOfLastMouseButtonActivity, getModel, getWidth, hasAnnotation, isPropagatingMouseListener, mouseClicked, mouseDoubleClicked, mouseDown, redraw, removeAnnotationType, removeVerticalRulerListener, setFont, setHover, setModel, toDocumentLineNumber`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationColumn

    public AnnotationColumn(int width)

  Deprecated. Use `AnnotationRulerColumn.AnnotationRulerColumn(int)` instead

  Creates a new `AnnotationColumn` of the given width.

  Parameters:
    `width` - the width of this column

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.